CREATE OR ALTER procedure APPENDFYSDOROGPROC (
    V_KOD_US_MZ char(16),
    V_NYS char(254),
    V_KONTR integer,
    V_DIAG integer,
    V_DATA date)
as
BEGIN
    if (exists (select KOD_US_MZ from fusl_dorog where KOD_US_mz = :v_kod_us_mz  and fusl_dorog.d_na = :v_data)) then
    UPDATE fusl_dorog
           SET
    NYS = :V_NYS,
    KONTR = :v_kontr,
    DIAG = :v_diag,
    D_NA =:v_data 
     WHERE KOD_US_MZ = :v_kod_us_mz  and fusl_dorog.d_na = :v_data;
    else
    INSERT INTO fusl_dorog(KOD_US_MZ,
        NYS, KONTR, DIAG, D_NA )
    values(:v_kod_us_mz,
    :V_NYS, :v_kontr, :v_diag, :v_data );
END
