CREATE OR ALTER procedure ADDUSLXML (
    V_O_S char(1),
    V_D_OKAZ date,
    V_KOL integer,
    V_SS char(14),
    V_SN_POL char(25),
    V_NUB_K char(10),
    V_D_ZA date,
    V_K_VR char(10),
    V_DIAG char(7),
    V_STATTALON integer,
    V_K_SS char(10),
    V_UROV char(1),
    V_PTR integer,
    V_PR_STOM integer,
    V_RMIS char(36),
    V_K_USL_MZ char(16),
    V_ST_PRED numeric (8,2))
as
declare variable KD integer;
BEGIN
     kd =0;
    if ((exists ( SELECT code FROM nozolog WHERE code = :v_diag))) then
    begin
        INSERT INTO USL_OD(O_S,
                           D_OKAZ,
                           KOL,
                           SS,
                           SN_POL,
                           NUB_K,
                           D_ZA,
                           K_VR,
                           K_SS,
                           UROV,
                           ID_STATTALON,
                           USL_CODE,
                           DIAG,
                           T_FED,
                           T_YCH,
                           ME_AB,
                           OK_FINU,
                           YET,
                           PTTRU,
                           PR_STOM,
                           ST_TR,
                           RMIS,
                           K_USL_MZ,
                           TL_ME,
                           ST_PRED)
        VALUES(:v_O_S,
               :v_D_OKAZ,
               :v_KOL,
               :v_SS,
               :v_SN_POL,
               :v_NUB_K,
               :v_D_ZA,
               :v_K_VR,
               :v_k_ss,
               :v_urov,
               :V_STATTALON,
               :KD,
               :v_DIAG,
               :kd,
               :kd,
               :kd,
               :kd,
               :kd,
               :v_ptr,
               :v_pr_stom,
               :kd,
               :v_rmis,
               :v_k_usl_mz,
               0,
               :v_st_pred);
    end
END