create or alter procedure APPENDFYSISKLPROC (
    V_KOD_US_MZ char(16),
    V_DATA date)
as
begin
  if (exists(select KOD_US_MZ
             from FUSL_DOROG_ISKL
             where KOD_US_MZ = :V_KOD_US_MZ and
                   FUSL_DOROG_ISKL.D_NA = :V_DATA)) then
    update FUSL_DOROG_ISKL
    set D_NA = :V_DATA
    where KOD_US_MZ = :V_KOD_US_MZ and
          FUSL_DOROG_ISKL.D_NA = :V_DATA;
  else
    insert into FUSL_DOROG_ISKL (KOD_US_MZ, D_NA)
    values (:V_KOD_US_MZ, :V_DATA);
end
